%define		php5_extension	mnogosearch
%define 	real_name	mnogosearch
%define		real_version	3.3.8

Name:	 	php5-%php5_extension
Version:	%php5_version
Release:	%php5_release

Summary:	PHP5 mnogosearch extension

License:	%gpl2plus
Group:		System/Servers
URL:		http://www.mnogosearch.org/

Packager:	Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	%real_name-%real_version.tar
Source1:	php-%php5_extension.ini
Source2:	php-%php5_extension-params.sh
Patch1:		%real_name-3.3.8-alt-headers_location.patch

BuildRequires(pre): rpm-build-licenses rpm-build-php5
BuildRequires: php5-devel = %php5_version-%php5_release
BuildRequires: libmnogosearch-devel = %real_version

%description
mnoGoSearch is a full-featured SQL based web search engine.

This package contains PHP frontend to mnogosearch.

%prep
%setup -n %real_name-%real_version
%patch1 -p0

# Filter backend-specific libraries:
subst 's#\$MNOGOSEARCH_BINDIR/udm-config --libs#echo "-lmnogosearch -lmnogocharset"#' config.m4

%build
phpize

BUILD_HAVE=`echo %php5_extension | tr '[:lower:]-' '[:upper:]_'`
%add_optflags -fPIC -L%_libdir
export LDFLAGS=-lphp-%_php5_version
%configure \
	--with-%php5_extension=%_usr \
	--with-libdir=%_lib \
	#

%php5_make

%install
%php5_make_install
install -D -m 644 -- %SOURCE1 %buildroot/%php5_extconf/%php5_extension/config
install -D -m 644 -- %SOURCE2 %buildroot/%php5_extconf/%php5_extension/params

%files
%doc README CREDITS

%php5_extconf/%php5_extension
%php5_extdir/*

%post
%php5_extension_postin

%preun
%php5_extension_preun

%changelog
* Mon Aug 24 2009 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.7.20080920-alt1.M50.1
- Build for M50

* Mon Aug 24 2009 Nikolay A. Fetisov <naf@altlinux.ru> 5.2.11.20090722-alt1
- Initial build
